RoboCupMS

Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
com.robogames.RoboCupMS.Entity.MatchGroup Class Reference

## Public Member Functions
| MatchGroup ()
| MatchGroup (long _creatorIdentifier)
long | getID ()
long | getCreatorIdentifier ()
List< RobotMatch > | getMatches ()
void | setCreatorIdentifier (long _creatorIdentifier)

## Static Public Member Functions
static long | generateCreatorIdentifier (MatchGroupRepository repository)

## Static Public Attributes
static final long | NOT_IN_GROUP = -1

## Detailed Description

Herni skupina. Pouzije se jen v pripade pokud proti sobe zapasi vice robotu a je nutne rozhodnou, ktery z nich vyhral a dostava body. (napr.: robo sumo, robo strong, ...)

## Constructor & Destructor Documentation

## ◆ MatchGroup() [1/2]

com.robogames.RoboCupMS.Entity.MatchGroup.MatchGroup | ( |  | ) |
| inline

Vytvori skupinu zapasu pro vice robotu

## ◆ MatchGroup() [2/2]

com.robogames.RoboCupMS.Entity.MatchGroup.MatchGroup | ( | long | _creatorIdentifier | ) |
| inline

Vytvori skupinu zapasu pro vice robotu

Parameters

  _creatorIdentifier | Identifikator tvurce skupiny

## Member Function Documentation

## ◆ generateCreatorIdentifier()

static long com.robogames.RoboCupMS.Entity.MatchGroup.generateCreatorIdentifier | ( | MatchGroupRepository | repository | ) |
| inline static

Vygeneruje unikatni identifikator tvurce zapasove skupiny

Returns
  Unikatni identifikator

## ◆ getCreatorIdentifier()

long com.robogames.RoboCupMS.Entity.MatchGroup.getCreatorIdentifier | ( |  | ) |
| inline

Navrati identifikator tvurce skupiny

Returns
  ID tvurce

## ◆ getID()

long com.robogames.RoboCupMS.Entity.MatchGroup.getID | ( |  | ) |
| inline

Navrati ID skupiny

Returns
  ID skupiny

## ◆ getMatches()

List<RobotMatch> com.robogames.RoboCupMS.Entity.MatchGroup.getMatches | ( |  | ) |
| inline

Navrati vsechny zapas teto skupiny

Returns
  Seznam vsech zapasu

## ◆ setCreatorIdentifier()

void com.robogames.RoboCupMS.Entity.MatchGroup.setCreatorIdentifier | ( | long | _creatorIdentifier | ) |
| inline

Nastavi identifikator tvurce skupiny

Parameters

  _creatorIdentifier | Novy indentifikator tvurce

## Member Data Documentation

## ◆ NOT_IN_GROUP

final long com.robogames.RoboCupMS.Entity.MatchGroup.NOT_IN_GROUP = -1
| static

Navratova hodnota ID pokud neni definovana zadna skupina

The documentation for this class was generated from the following file:

- /home/martin/Programing/RoboCupMS/src/main/java/com/robogames/RoboCupMS/Entity/MatchGroup.java